#!/bin/bash

year_start=$1
year_end=$2

for year in $(seq $year_start $year_end)
do
    echo $year

    input_annotatedxml=data/AB/${year}/05_annotatedxml.tar.gz
    input_correctedmeta=data/AB/${year}/03_correctedmeta.tar.gz
    output_collectedinfo=data/AB/${year}/06_collectedinformation.pickle

    renku run --isolation --output $output_collectedinfo python src/python/run_collect_information.py $input_annotatedxml $input_correctedmeta $output_collectedinfo

done
